/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   fractol_init.c                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/03/16 18:55:39 by gtertysh          #+#    #+#             */
/*   Updated: 2017/03/16 18:56:00 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fractol.h"

static t_mw	*mlx_and_win_ptr_init(int x, int y)
{
	t_mw *mw;

	if ((mw = malloc(sizeof(t_mw))))
	{
		mw->mlx = mlx_init();
		mw->win = mlx_new_window(mw->mlx, x, y, "FRCTL");
	}
	return (mw);
}

t_fractol		*fractol_init(void)
{
	t_fractol	*fractol;

	if ((fractol = malloc(sizeof(t_fractol))))
	{
		fractol->w_height = HEIGHT;
		fractol->w_width = WIDTH;
		fractol->mw = mlx_and_win_ptr_init(WIDTH, HEIGHT);
		fractol->image = mlx_new_image(fractol->mw->mlx, WIDTH, HEIGHT);
		fractol->image_data = mlx_get_data_addr(
				fractol->image,
				&fractol->bpp,
				&fractol->line_size,
				&fractol->endian);
	}
	return (fractol);
}
